/*
 * Copyright (C) 2006 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file net.h exported symbols from net.c */

/**
 * the buffer size of the sun_path component of struct sockaddr_un
 *
 * While glibc doesn't define \p UNIX_PATH_MAX, it
 * documents it has being limited to 108 bytes.
 */
#ifndef UNIX_PATH_MAX
#define UNIX_PATH_MAX 108
#endif

struct hostent *get_host_info(char *);
int get_socket(void);
void init_sockaddr(struct sockaddr_in*, int, const struct hostent*);
int para_connect(int, struct sockaddr_in *);
int send_buffer(int, const char *);
int send_bin_buffer(int, const char *, size_t);
int send_va_buffer(int, char *, ...);
int recv_buffer(int, char *, ssize_t);
int recv_bin_buffer(int, char *, ssize_t);
int para_accept(int, void *addr, socklen_t size);
int create_pf_socket(const char *, struct sockaddr_un *, int mod);
int init_unix_addr(struct sockaddr_un *, const char *);
int recv_cred_buffer(int, char *, size_t, struct ucred *);
ssize_t send_cred_buffer(int, char*);
int recv_pattern(int fd, const char *pattern, size_t bufsize);
int init_tcp_socket(int port);

